Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query
Class JDBCQuery

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.QueryImpl
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.JDBCQuery

All Implemented Interfaces:
  javax.jdo.Query, com.solarmetric.rd.kodo.query.Resolver, java.io.Serializable

public class JDBCQuery
extends QueryImpl

JDBC Query implementation.

See Also:
  Serialized Form

Constructor Summary
`JDBCQuery(com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.lang.Object copy)` Constructor.

Method Summary
`protected com.solarmetric.rd.rop.ResultList` | `executeQuery(com.solarmetric.rd.kodo.meta.ClassMetaData meta, boolean subclasses, com.solarmetric.rd.kodo.query.ExpressionFactory factory, com.solarmetric.rd.kodo.query.Expression exp, java.util.Map params)` Execute the given expression against the given candidate extent.
`protected com.solarmetric.rd.kodo.query.ExpressionFactory` | `getExpressionFactory(com.solarmetric.rd.kodo.meta.ClassMetaData meta)` Return an `ExpressionFactory` to use to create an expression to be executed against an extent.
`protected com.solarmetric.rd.kodo.query.FilterListener` | `getStandardFilterListener(java.lang.String tag)` Return the standard filter extension for the given tag, or null if none.
`boolean` | `getUseSQL92Joins()` Return whether to use SQL 92-style joins for this query.
`void` | `setUseSQL92Joins(boolean useJoins)` Set whether to use SQL 92-style joins for this query.

Methods inherited from class com.solarmetric.rd.kodo.query.QueryImpl
`classForName, close, closeAll, compile, declareImports, declareParameters, declareVariables, execute, execute, execute, execute, executeWithArray, executeWithMap, getCandidateCollection, getCandidateExtent, getFetchBatchSize, getFetchThreshold, getFilterListener, getIgnoreCache, getParameterClass, getPersistenceManager, getSortDirection, getVariableClass, isParameter, isVariable, lock, registerListener, setCandidates, setCandidates, setClass, setFetchBatchSize, setFetchThreshold, setFilter, setIgnoreCache, setOrdering, toString, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCQuery

    public JDBCQuery(com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                     java.lang.Object copy)

  Constructor.

Parameters:
  `store` - the store manager
  `copy` - a compiled query to copy configuration from, or null

Method Detail

### getUseSQL92Joins

    public boolean getUseSQL92Joins()

  Return whether to use SQL 92-style joins for this query. Defaults to the setting of the `com.solarmetric.kodo.impl.jdbc.UseSQL92Joins` configuration property.

### setUseSQL92Joins

    public void setUseSQL92Joins(boolean useJoins)

  Set whether to use SQL 92-style joins for this query. Defaults to the setting of the `com.solarmetric.kodo.impl.jdbc.UseSQL92Joins` configuration property.

### executeQuery

    protected com.solarmetric.rd.rop.ResultList executeQuery(com.solarmetric.rd.kodo.meta.ClassMetaData meta,
                                                             boolean subclasses,
                                                             com.solarmetric.rd.kodo.query.ExpressionFactory factory,
                                                             com.solarmetric.rd.kodo.query.Expression exp,
                                                             java.util.Map params)

  Description copied from class: `QueryImpl`
  Execute the given expression against the given candidate extent.

  Specified by:
    `executeQuery` in class `QueryImpl`
  Parameters:
    `meta` - the base type the query should match
    `subclasses` - true if subclasses should be included in the results
    `factory` - the expression factory used to compile the expression
    `exp` - the compiled expression for the parsed query
    `params` - map of parameter names to values
  Returns:
    a list of matching objects

### getExpressionFactory

    protected com.solarmetric.rd.kodo.query.ExpressionFactory getExpressionFactory(com.solarmetric.rd.kodo.meta.ClassMetaData meta)

  Description copied from class: `QueryImpl`
  Return an `ExpressionFactory` to use to create an expression to be executed against an extent. Each factory will be used to compile one filter only.

  Specified by:
    `getExpressionFactory` in class `QueryImpl`

### getStandardFilterListener

    protected com.solarmetric.rd.kodo.query.FilterListener getStandardFilterListener(java.lang.String tag)

  Description copied from class: `QueryImpl`
  Return the standard filter extension for the given tag, or null if none. This method is called only after checking the listeners that have been added to this particular query and the user-defined listeners in the `com.solarmetric.kodo.conf.JDOConfiguration`.

  Specified by:
    `getStandardFilterListener` in class `QueryImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.